libzypp: zypp::CheckAccessDeleted::Impl Class Reference

libzypp 17.38.5

zypp::CheckAccessDeleted::Impl Class Reference

## Public Member Functions
CheckAccessDeleted::Impl * | clone () const
bool | addDataIf (const CacheEntry &cache_r, std::vector< std::string > *debMap=nullptr)
| Add `cache` to `data` if the process is accessing deleted files.
void | addCacheIf (CacheEntry &cache_r, const std::string &line_r, std::vector< std::string > *debMap=nullptr)
| Add file to cache if it refers to a deleted executable or library file:
std::map< pid_t, CacheEntry > | filterInput (externalprogram::ExternalDataSource &source)
CheckAccessDeleted::size_type | createProcInfo (const std::map< pid_t, CacheEntry > &in)

## Public Attributes
std::vector< CheckAccessDeleted::ProcInfo > | _data
bool | _fromLsofFileMode = false
bool | _verbose = false
std::map< pid_t, std::vector< std::string > > | debugMap
Pathname | _debugFile

## Detailed Description

Definition at line 191 of file CheckAccessDeleted.cc.

## Member Function Documentation

## ◆ clone()

CheckAccessDeleted::Impl * zypp::CheckAccessDeleted::Impl::clone | ( |  | ) | const

Definition at line 210 of file CheckAccessDeleted.cc.

## ◆ addDataIf()

bool zypp::CheckAccessDeleted::Impl::addDataIf | ( | const CacheEntry & | cache_r,
|  | std::vector< std::string > * | debMap = nullptr )
| inline

Add `cache` to `data` if the process is accessing deleted files.

`pid` string in `cache` is the proc line ``(pcuLR), `files` are already in place. Always clear the `cache.files!`

Definition at line 220 of file CheckAccessDeleted.cc.

## ◆ addCacheIf()

void zypp::CheckAccessDeleted::Impl::addCacheIf | ( | CacheEntry & | cache_r,
|  | const std::string & | line_r,
|  | std::vector< std::string > * | debMap = nullptr )
| inline

Add file to cache if it refers to a deleted executable or library file:

- Either the link count ``(k) is `0`, or no link cout is present.
- The type ``(t) is set to `REG` or `DEL`
- The filedescriptor ``(f) is set to `txt`, `mem` or `DEL`

Definition at line 292 of file CheckAccessDeleted.cc.

## ◆ filterInput()

std::map< pid_t, CacheEntry > zypp::CheckAccessDeleted::Impl::filterInput | ( | externalprogram::ExternalDataSource & | source | ) |

Definition at line 393 of file CheckAccessDeleted.cc.

## ◆ createProcInfo()

CheckAccessDeleted::size_type zypp::CheckAccessDeleted::Impl::createProcInfo | ( | const std::map< pid_t, CacheEntry > & | in | ) |

Definition at line 468 of file CheckAccessDeleted.cc.

## Member Data Documentation

## ◆ _data

std::vector<CheckAccessDeleted::ProcInfo> zypp::CheckAccessDeleted::Impl::_data

Definition at line 202 of file CheckAccessDeleted.cc.

## ◆ _fromLsofFileMode

bool zypp::CheckAccessDeleted::Impl::_fromLsofFileMode = false

Definition at line 203 of file CheckAccessDeleted.cc.

## ◆ _verbose

bool zypp::CheckAccessDeleted::Impl::_verbose = false

Definition at line 204 of file CheckAccessDeleted.cc.

## ◆ debugMap

std::map<pid_t,std::vector<std::string> > zypp::CheckAccessDeleted::Impl::debugMap

Definition at line 206 of file CheckAccessDeleted.cc.

## ◆ _debugFile

Pathname zypp::CheckAccessDeleted::Impl::_debugFile

Definition at line 207 of file CheckAccessDeleted.cc.

The documentation for this class was generated from the following file:

- zypp/misc/CheckAccessDeleted.cc